# class toResultColsComment

This widget is used for single record view in the content editor. More...

Internal Use Only
Definition | `#include <toresultcols.h>`
Inherits | QLineEdit (qt) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultColsComment (QWidget *parent)
- void setComment (bool table,const QString &name,const QString &comment)
- void setCachedComment (bool table,const QString &name,QString &comment)

#### Public Slots

- void commentChanged ()

#### Protected Methods

- virtual void focusOutEvent (QFocusEvent *)

## Detailed Description

This widget is used for single record view in the content editor. Only for internal use.

void focusOutEvent (QFocusEvent *)

### focusOutEvent

[protected virtual]

toResultColsComment (QWidget *parent)

### toResultColsComment

void setComment (bool table,const QString &name,const QString &comment)

### setComment

void setCachedComment (bool table,const QString &name,QString &comment)

### setCachedComment

void commentChanged ()

### commentChanged

[slot]

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.